Security update for java-1_7_1-ibm

SUSE Security Update: Security update for java-1_7_1-ibm
Announcement ID: SUSE-SU-2022:14927-1
Rating: important
References: #1194925 #1194926 #1194927 #1194928 #1194929 #1194930 #1194931 #1194932 #1194933 #1194934 #1194935 #1194937 #1194939 #1194940 #1194941 #1196500 #1197126
Cross-References:CVE-2022-21248 CVE-2022-21271 CVE-2022-21277 CVE-2022-21282 CVE-2022-21283 CVE-2022-21291 CVE-2022-21293 CVE-2022-21294 CVE-2022-21296 CVE-2022-21299 CVE-2022-21305 CVE-2022-21340 CVE-2022-21341 CVE-2022-21349 CVE-2022-21360 CVE-2022-21365 CVE-2022-21366
Affected Products:
  • SUSE Linux Enterprise Server 11-SP4-LTSS

An update that fixes 17 vulnerabilities is now available.

Description:

This update for java-1_7_1-ibm fixes the following issues:
Update Java 7.1 to Service Refresh 7 Fix Pack 5 (bsc#1197126).
Including fixes for the following vulnerabilities:
CVE-2022-21366, CVE-2022-21365, CVE-2022-21360, CVE-2022-21349, CVE-2022-21341, CVE-2022-21340, CVE-2022-21305, CVE-2022-21277, CVE-2022-21299, CVE-2022-21296, CVE-2022-21282, CVE-2022-21294, CVE-2022-21293, CVE-2022-21291, CVE-2022-21283, CVE-2022-21248, CVE-2022-21271.

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 11-SP4-LTSS:
    zypper in -t patch slessp4-java-1_7_1-ibm-14927=1

Package List:

  • SUSE Linux Enterprise Server 11-SP4-LTSS (i586 ppc64 s390x x86_64):
    • java-1_7_1-ibm-1.7.1_sr5.5-26.71.2
    • java-1_7_1-ibm-devel-1.7.1_sr5.5-26.71.2
    • java-1_7_1-ibm-jdbc-1.7.1_sr5.5-26.71.2
  • SUSE Linux Enterprise Server 11-SP4-LTSS (i586 x86_64):
    • java-1_7_1-ibm-alsa-1.7.1_sr5.5-26.71.2
    • java-1_7_1-ibm-plugin-1.7.1_sr5.5-26.71.2

References: